### Method

# AppStreamCompose ImageTarget get_error_message

since: 1.2.0

#### Declaration [src]

    const gchar*
    asc_image_target_get_error_message (
      AscImageTarget* target
    )

#### Description [src]

Get the error message in case creating this particular rendition failed. A failed rendition does not fail the media operation as a whole.

Available since: 1.2.0

#### Return value

Type: `const gchar*`

The error message, or `NULL` if this rendition was fine.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.